Subject: Re: How dangerous is --committer-date-is-author-date these days?

From: SZEDER Gábor <[email-masked]>
Date: Wed, 8 Oct 2025 22:41:23 +0200

On Mon, Sep 30, 2024 at 04:49:32PM +0200, Kristoffer Haugsbakk wrote:
> As a Git user, I don’t understand why some people want to fiddle with
> this field in rewrite operations.  It’s very hidden (apparently you have
> to use something like `git log --format=fuller` to reveal it).

FWIW, GitHub and similar sites display only the committer date.

> I can’t speak for power users.  But regular users?  Well I see questions
> about being very deliberate about setting this field on rewrite
> operations on StackOverflow (at least one time).  But I can only guess
> *why* they are particular about it (this part is often not explained).

Perhaps they prefer to see the author date even on GitHub, and try to
work around its shortcomings.